--- tsocks.8.orig	2002-03-16 10:20:51 UTC
+++ tsocks.8
@@ -1,25 +1,24 @@
-.TH TSOCKS 8 "" "Shaun Clowes" \" -*-
- \" nroff -*
-
-.SH NAME
+.\"  \" nroff -*
+.\" 
+.TH "TSOCKS" "8" "" "Shaun Clowes" "\""
+.SH "NAME"
 .BR tsocks 
 \- Library for intercepting outgoing network connections and
 redirecting them through a SOCKS server. 
 
-.SH SYNOPSIS
-
+.SH "SYNOPSIS"
 Set LD_PRELOAD to load the library then use applications as normal
 
 The syntax to force preload of the library for different shells is
 specified below:
  
-Bash, Ksh and Bourne shell -
+Bash, Ksh and Bourne shell \-
 
-export LD_PRELOAD=/lib/libtsocks.so
+export LD_PRELOAD=/usr/local/lib/libtsocks.so
 
-C Shell - 
+C Shell \- 
 
-setenv LD_PRELOAD=/lib/libtsocks.so
+setenv LD_PRELOAD=/usr/local/lib/libtsocks.so
 
 This process can be automated (for Bash, Bourne and Korn shell 
 users) for a single command or for all commands in a shell session
@@ -30,13 +29,12 @@ automatically use it, a very useful configuration. For
 information on this configuration see the CAVEATS section of this
 manual page.
 
-.SH DESCRIPTION
-
+.SH "DESCRIPTION"
 .BR tsocks
 is a library to allow transparent SOCKS proxying. It wraps the normal
 connect() function. When a connection is attempted, it consults the 
 configuration file (which is defined at configure time but defaults to 
-/etc/tsocks.conf) and determines if the IP address specified is local. If 
+/usr/local/etc/tsocks.conf) and determines if the IP address specified is local. If 
 it is not, the library redirects the connection to a SOCKS server
 specified in the configuration file. It then negotiates that connection
 with the SOCKS server and passes the connection back to the calling
@@ -52,42 +50,42 @@ the SOCKSified TCP/IP stacks seen on other platforms.
 Most arguments to
 .BR tsocks
 are provided in the configuration file (the location of which is defined
-at configure time by the --with-conf=<file> argument but defaults to
-/etc/tsocks.conf). The structure of this file is documented in tsocks.conf(8)
+at configure time by the \-\-with\-conf=<file> argument but defaults to
+/usr/local/etc/tsocks.conf). The structure of this file is documented in tsocks.conf(8)
 
 Some configuration options can be specified at run time using environment
 variables as follows: 
 
-.TP
+.TP 
 .I TSOCKS_CONFFILE
 This environment variable overrides the default location of the tsocks 
 configuration file. This variable is not honored if the program tsocks
 is embedded in is setuid. In addition this environment variable can
-be compiled out of tsocks with the --disable-envconf argument to 
+be compiled out of tsocks with the \-\-disable\-envconf argument to 
 configure at build time
 
-.TP
+.TP 
 .I TSOCKS_DEBUG
 This environment variable sets the level of debug output that should be
 generated by tsocks (debug output is generated in the form of output to 
 standard error). If this variable is not present by default the logging 
 level is set to 0 which indicates that only error messages should be output. 
 Setting it to higher values will cause tsocks to generate more messages 
-describing what it is doing. If set to -1 tsocks will output absolutely no 
+describing what it is doing. If set to \-1 tsocks will output absolutely no 
 error or debugging messages. This is only needed if tsocks output interferes 
 with a program it is embedded in. Message output can be permanently compiled 
-out of tsocks by specifying the --disable-debug option to configure at 
+out of tsocks by specifying the \-\-disable\-debug option to configure at 
 build time
 
-.TP
+.TP 
 .I TSOCKS_DEBUG_FILE
 This option can be used to redirect the tsocks output (which would normally 
 be sent to standard error) to a file. This variable is not honored if the 
 program tsocks is embedded in is setuid. For programs where tsocks output 
 interferes with normal operation this option is generally better than 
-disabling messages (with TSOCKS_DEBUG = -1)
+disabling messages (with TSOCKS_DEBUG = \-1)
 
-.TP
+.TP 
 .I TSOCKS_USERNAME
 This environment variable can be used to specify the username to be used when
 version 5 SOCKS servers request username/password authentication. This 
@@ -95,7 +93,7 @@ overrides the default username that can be specified i
 file using 'default_user', see tsocks.conf(8) for more information. This 
 variable is ignored for version 4 SOCKS servers.
 
-.TP
+.TP 
 .I TSOCKS_PASSWORD
 This environment variable can be used to specify the password to be used when 
 version 5 SOCKS servers request username/password authentication. This 
@@ -115,11 +113,12 @@ consult the INSTALL file for more information.
 .BR tsocks
 will generate error messages and print them to stderr when there are
 problems with the configuration file or the SOCKS negotiation with the
-server if the TSOCKS_DEBUG environment variable is not set to -1 or and
---disable-debug was not specified at compile time. This output may cause
+server if the TSOCKS_DEBUG environment variable is not set to \-1 or and
+\-\-disable\-debug was not specified at compile time. This output may cause
 some problems with programs that redirect standard error.
 
 .SS CAVEATS
+.BR Linux specific:
 .BR tsocks
 will not in the above configuration be able to provide SOCKS proxying to
 setuid applications or applications that are not run from a shell. You can
@@ -132,8 +131,7 @@ the INSTALL file for more info).  THIS IS A ***WARNING
 careful. Also be sure the library is in the root filesystem as all hell
 will break loose if the directory it is in is not available at boot time.
 
-.SH BUGS
-
+.SH "BUGS"
 .BR tsocks
 can only proxy outgoing TCP connections
 
@@ -157,21 +155,21 @@ not. This introduces overhead and should only be used 
 .BR tsocks 
 uses ELF dynamic loader features to intercept dynamic function calls from
 programs in which it is embedded.  As a result, it cannot trace the 
-actions of statically linked executables, non-ELF executables, or 
+actions of statically linked executables, non\-ELF executables, or 
 executables that make system calls directly with the system call trap or 
 through the syscall() routine.
 
-.SH FILES
-/etc/tsocks.conf - default tsocks configuration file
+.SH "FILES"
+/usr/local/etc/tsocks.conf \- default tsocks configuration file
 
-.SH SEE ALSO
+.SH "SEE ALSO"
 tsocks.conf(5)
 tsocks(1)
 
-.SH AUTHOR
+.SH "AUTHOR"
 Shaun Clowes (delius@progsoc.uts.edu.au)
 
-.SH COPYRIGHT
+.SH "COPYRIGHT"
 Copyright 2000 Shaun Clowes
 
 tsocks and its documentation may be freely copied under the terms and
